Subject: Re: McMaster-Carr Supply Co., New Brunswick, NJ

From: [email-masked] (Doug White)
Date: 12 Oct 1994 23:50:54 GMT

In <[email-masked]> [email-masked] (The Rifleman) writes: 

>
>Anyone know whether this is a good place to order parts?  None of the local
>shops I could find had what I was looking for.
>
McMaster-Carr has been around a long time, and they have a pretty amazing catalog.
It's the closest thing I've seen to the Acme catalog that Wiley Coyote gets his
stuff from.  They used to sell railroad rail and handcars, in case you wnat
a railroad in your backyard.  Unfortunately, they used to be pretty firm about
not dealing with individuals.  If you've got a company or school purchase order,
you shouldn't have a problem.  Grainger's (another large industrial supplier)
is willing to sell to individual's as long as they are affiliated with a company.
I know several people at work who've bought electric motors & such from Grainger's
by showing their ID, and paying cash.  I don't think McMaster-Carr is that
cooperative.

Doug White

---

From: [email-masked] (Dion Hollenbeck)
Date: Sun, 16 Oct 1994 16:15:48 GMT

>>>>> "Doug" == Doug White <[email-masked]> writes:

Doug> In <[email-masked]> [email-masked] (The Rifleman) writes: 

Doug> Unfortunately, they used to be pretty firm about not dealing
Doug> with individuals.

Not a problem now.  They are very happy to deal with individuals and
they accept credit cards.  However, if you are an individual, or a
small company, you will never get a catalog from them until they see
that you are ordering many thousands of dollars of merchandise a year.
I even offered to *buy* a catalog and they said NOPE.  However, they
are very helpful on the phone in assisting you to find out if they
have what you need.

Their service and speedy delivery is *excellent*.  The time it takes
for them to deliver stuff to me usually astounds me.  Unless it comes
>from  one of their other warehouses, I get my orders overnight it I
place them early in the previous day.

-- 
Dion Hollenbeck (619)675-4000x2814     Email: [email-masked]
Staff Software Engineer     Megatek Corporation, San Diego, California